Skip to main content
POST
/
api
/
files
/
v1
/
filesets
/
{fileSetId}
/
files
/
search
List Files and Directories for a FileSet
curl --request POST \
  --url https://{subdomain}.domo.com/api/files/v1/filesets/{fileSetId}/files/search \
  --header 'Content-Type: application/json' \
  --header 'X-DOMO-Developer-Token: <api-key>' \
  --data '
{
  "fieldSort": [
    {
      "field": "created",
      "order": "ASC"
    }
  ],
  "filters": [
    {
      "field": "name",
      "value": [
        "paid"
      ],
      "not": false,
      "operator": "LIKE"
    }
  ],
  "dateFilters": [
    {
      "field": "created",
      "start": "2025-05-12T23:30:00.000Z",
      "not": false,
      "end": null
    }
  ]
}
'
{
  "files": [
    {
      "id": "7150e608-c3a9-4b40-ac2d-eb182cc98c6f",
      "path": "sample/directory/path/PaidTimeOffPolicy.pdf",
      "name": "PaidTimeOffPolicy.pdf",
      "fileType": "DOCUMENT",
      "contentType": "application/pdf",
      "size": 69502,
      "hash": "ce0da94c741125c597cf3d54a3202cebdc16d7fe1074698219f724654595221c",
      "hashAlgorithm": "SHA_256_HEX",
      "downloadUrl": "",
      "created": "2025-07-28T21:47:39.814Z",
      "createdBy": 27,
      "connectorKey": null,
      "indexStatus": null,
      "indexReason": null
    }
  ],
  "pageContext": {
    "next": "eyJpZCI6ImJiZjU3MDVkLWU1ZjQtNGRkMy1hMTUyLTgzNzdhNTYwYzY0YiIsInBhdGgiOiJzYW1wbGUvZGlyZWN0b3J5L3BhdGgiLCJuYW1lIjoicGF0aCIsInNpemUiOm51bGwsImNyZWF0ZWQiOiIyMDI1LTA3LTI5VDE4OjA3OjI2Ljc2MzE5M1oifQ=="
  }
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-openapi-sync-documents.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Path Parameters

fileSetId
string
required

The ID of the FileSet to search within.

Query Parameters

directoryPath
string

The path to the directory within the FileSet, if applicable.

immediateChildren
boolean
default:false

Whether to list only immediate children of the specified directory.

limit
integer<int32>
default:100

The maximum number of Files to return.

next
string

The pagination token for the next set of results.

Body

application/json

The search criteria for listing Files.

Request object for searching with specific filters and sorting options.

fieldSort
object[]

A list of field sort criteria to apply to the search.

filters
object[]

A list of filters to apply to the search.

dateFilters
object[]

A list of date filters to apply to the search.

Response

Matching Files retrieved successfully

A response for the paginated list of files.

files
object[]

the list of files in the current page

Metadata for a directory within a file set.

pageContext
object

the context for pagination